com.sun.grid.jgdi.monitoring.filter

## Class ResourceFilter

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.filter.ResourceFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class ResourceFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceFilter()` Creates a new instance of ResourceFilter

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResource(java.lang.String name, java.lang.String value)`
    `ResourceFilter` | `fill(java.lang.String str)` I need to join all the same option together
    `java.lang.String` | `getResource(java.lang.String name)`
    `java.util.Set<java.lang.String>` | `getResourceNames()`
    `java.util.List<java.lang.String>` | `getResources()`
    `static ResourceFilter` | `parse(java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceFilter

          public ResourceFilter()

      Creates a new instance of ResourceFilter

  - ### Method Detail

    - #### parse

          public static ResourceFilter parse(java.lang.String str)

    - #### fill

          public ResourceFilter fill(java.lang.String str)
                              throws java.lang.IllegalArgumentException

      I need to join all the same option together
      Throws:
        `java.lang.IllegalArgumentException`

    - #### addResource

          public void addResource(java.lang.String name,
                                  java.lang.String value)

    - #### getResourceNames

          public java.util.Set<java.lang.String> getResourceNames()

    - #### getResources

          public java.util.List<java.lang.String> getResources()

    - #### getResource

          public java.lang.String getResource(java.lang.String name)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.